import { Repository } from "typeorm";
import { Banner } from "../../common/banner/banner.entity";
import { CreateBannerDto, UpdateBannerDto, UpdateStatusDto } from "./banner.dto";
export declare class AdminBannerService {
    private readonly bannerRepository;
    constructor(bannerRepository: Repository<Banner>);
    create(createBannerDto: CreateBannerDto): Promise<Banner>;
    findAll(): Promise<Banner[]>;
    findOne(id: number): Promise<Banner>;
    update(id: number, updateBannerDto: UpdateBannerDto): Promise<Banner>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Banner>;
}
